<?php

 /*----------------------------------------------------------------------------------------------------------\
 |                                                                                                            |
 |                      [ LIVE GAME SERVER LIST ] [ © RICHARD PERRY FROM GREYCUBE.COM ]                       |
 |                                                                                                            |
 |    Released under the terms and conditions of the GNU General Public License Version 3 (http://gnu.org)    |
 |                                                                                                            |
 \-----------------------------------------------------------------------------------------------------------*/

//------------------------------------------------------------------------------------------------------------+

	require "lgsl_class.php";

	$server_list = lgsl_query_group();
	$server_list = lgsl_sort_servers($server_list);

//------------------------------------------------------------------------------------------------------------+

	$output .= "
	<div id='wk_serverviewer'>
		<table class='wk_serverviewer' cellspacing='2' cellpadding='4'>
			<tr class='header'>
				<td class='wk_nr'>#</td>
				<td class='wk_status'>Status</td>
				<td class='wk_gra'>Gra</td>
				<td class='wk_adresip'>Adres IP</td>
				<td class='wk_nazwaserwera'>Nazwa serwera</td>
				<td class='wk_mapa'>Mapa</td>
				<td class='wk_graczy'>Graczy</td>
				<td class='wk_lokalizacja'>Lokalizacja</td>
				<td class='wk_szczegoly'>Szczegóły</td>
			</tr>";

		foreach ($server_list as $server)
		{
			$misc   = lgsl_server_misc($server);
			$server = lgsl_server_html($server);
			$num++;
			$serverhost = explode('@', $misc['name_filtered']);
			$servername = $serverhost[0];
			if ($server['s']['players'] > 0 )
			{
				$serverclientsvalue = ($server['s']['players']) / ($server['s']['playersmax']) *100;
				$serverclients = number_format($serverclientsvalue, 0);
			} else {
				$serverclients = number_format(0, 0);
			}

			$output .= "
				<tr>
					<td title='Nr: {$num}'>{$num}</td>
					<td title='Status: {$misc['text_status']}'><img alt='' src='{$misc['icon_status']}' title='{$misc['text_status']}' style='vertical-align:middle' /></td>
					<td><img alt='' src='{$misc['icon_game']}'   title='{$misc['text_type_game']}' style='vertical-align:middle' /></td>
					<td title='{$lgsl_config['text']['slk']}'><a href='{$misc['software_link']}'>{$server['b']['ip']}:{$server['b']['c_port']}</a></td>
					<td title='Pełna nazwa serwera: {$server['s']['name']}'>{$servername}</td>
					<td><img src='{$misc['image_map']}' title='{$server['s']['map']}' width='40' height='30' /></td>";
					if ($server['s']['players'] > 0)
					{
						$output .="<td><span style='color: green;'>{$server['s']['players']}</span> / {$server['s']['playersmax']} | {$serverclients}%</td>";
					} else {
						$output .="<td><span style='color: red;'>{$server['s']['players']}</span> / {$server['s']['playersmax']} | {$serverclients}%</td>";
					}
					if ($lgsl_config['locations'])
					{
						$output .= "<td><a href='".lgsl_location_link($server['o']['location'])."' style='text-decoration:none'><img alt='' src='{$misc['icon_location']}' title='{$misc['text_location']}' style='vertical-align:middle; border:none' /></a></td>";
					}
					$output .= "
					<td><a href='".lgsl_link($server['o']['id'])."' style='text-decoration:none'><img alt='' src='{$misc['icon_details']}' title='{$lgsl_config['text']['vsd']}' style='vertical-align:middle; border:none' /></a></td>
				</tr>
			";
		}
		$output .= "
		</table>
	</div>";

//------------------------------------------------------------------------------------------------------------+

	if ($lgsl_config['list']['totals'])
	{
    $total = lgsl_group_totals($server_list);

    $output .= "
    <div id='wk_serverstats' style='text-align:center'>
		<ul>
			<li><span class='value'>{$lgsl_config['text']['tns']} {$total['servers']}</span></li>
			<li><span class='value'>{$lgsl_config['text']['tnp']} {$total['players']}</span></li>
			<li><span class='value'>{$lgsl_config['text']['tmp']} {$total['playersmax']}</span></li>
		</ul>
	</div>";
	}

//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
//------ PLEASE MAKE A DONATION OR SIGN THE GUESTBOOK AT GREYCUBE.COM IF YOU REMOVE THIS CREDIT ----------------------------------------------------------------------------------------------------+
  $output .= lgsl_version();
//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
