<?php

 /*----------------------------------------------------------------------------------------------------------\
 |                                                                                                            |
 |                      [ LIVE GAME SERVER LIST ] [ © RICHARD PERRY FROM GREYCUBE.COM ]                       |
 |                                                                                                            |
 |    Released under the terms and conditions of the GNU General Public License Version 3 (http://gnu.org)    |
 |                                                                                                            |
 \-----------------------------------------------------------------------------------------------------------*/

//------------------------------------------------------------------------------------------------------------+

	require "lgsl_class.php";

	$server_list = lgsl_query_group();
	$server_list = lgsl_sort_servers($server_list);
	
//------------------------------------------------------------------------------------------------------------+

	if ($lgsl_config['ipb_header']) { $header = 'hide'; }
	$output .= "
	<link rel='stylesheet' href='{$lgsl_config['url_path']}../styles/table.css' type='text/css' />
	<div id='wk_serverviewer' class='category_block block_wrap'>
		<h3 class='maintitle'>
			<a class='toggle right' title='Zwiń/Rozwiń Liste serwerów' href='#'>Zwiń/Rozwiń Liste serwerów</a>
			<a title='Lista serwerów'>Lista serwerów</a>
		</h3>
		<div class='ipsBox table_wrap removeDefault'>
			<div class='ipsBox_container'>
				<table class='wk_serverviewer' cellspacing='2' cellpadding='4'>
					<tr class='header {$header}'>
						<td class='wk_nr'>#</td>
						<td class='wk_status'>Status</td>
						<td class='wk_gra'>Gra</td>
						<td class='wk_adresip'>Adres IP</td>
						<td class='wk_nazwaserwera'>Nazwa serwera</td>
						<td class='wk_mapa'>Mapa</td>
						<td class='wk_graczy'>Graczy</td>";
						if ($lgsl_config['ipb_locations'])
						{
							$output .= "<td class='wk_lokalizacja'>Lokalizacja</td>";
						}
						if ($lgsl_config['ipb_hltv'])
						{
							$output .= "<td class='wk_hltv'>Dema</td>";
						}
						if ($lgsl_config['ipb_gametracker'])
						{
							$output .= "<td class='wk_rank'>Rank</td>";
						}
						if ($lgsl_config['ipb_connect'])
						{
							$output .= "<td class='wk_polacz'>Połącz</td>";
						}
						if ($lgsl_config['ipb_details'])
						{
							$output .= "<td class='wk_szczegoly'>Szczegóły</td>";
						}
						$output .="
					</tr>";

					$num = 0;
					foreach ($server_list as $server)
					{
						$misc   = lgsl_server_misc($server);
						$server = lgsl_server_html($server);
						$num++;
						$serverhost = explode('@', $misc['name_filtered']);
						$servername = $serverhost[0];
						if ($server['s']['players'] > 0 )
						{
							$serverclientsvalue = ($server['s']['players']) / ($server['s']['playersmax']) *100;
							$serverclients = number_format($serverclientsvalue, 0);
						} else {
							$serverclients = number_format(0, 0);
						}
						$output .= "
							<tr>
								<td data-tooltip='Nr: {$num}'>
									{$num}
								</td>

								<td data-tooltip='Status: {$misc['text_status']}'>
									{$misc['icon_status_ipb']}
								</td>
								
								<td data-tooltip='{$misc['text_type_game']}'>
									<img alt='' src='{$misc['icon_game']}'   title='{$misc['text_type_game']}' style='vertical-align:middle' />
								</td>

								<td data-tooltip='Adres IP serwera'>
									{$server['b']['ip']}:{$server['b']['c_port']}
								</td>
								<td data-tooltip='Pełna nazwa serwera: {$server['s']['name']}'>
									{$servername}
								</td>

								<td data-tooltip='Aktualna mapa: {$server['s']['map']}'>
									<img src='{$misc['image_map']}' width='40' height='30' />
								</td>

								<td>";
								if ($server['s']['players'] > 0)
								{
									$output .="<span style='color: green;'>{$server['s']['players']}</span> / {$server['s']['playersmax']} | {$serverclients}% <a href='#' class='ipsButton_secondary' id='players{$server['o']['id']}' data-tooltip='{$lgsl_config['text']['splayers']}' style='font-size: 0.8em; padding: 0 5px; text-decoration:none'><img src='{$misc['icon_players']}' style='vertical-align:middle; border:none' /></a>";
								} else {
									$output .="<span style='color: red;'>{$server['s']['players']}</span> / {$server['s']['playersmax']} | {$serverclients}% <a href='#' class='ipsButton_secondary' id='players{$server['o']['id']}' data-tooltip='{$lgsl_config['text']['splayers']}' style='font-size: 0.8em; padding: 0 5px; text-decoration:none'><img src='{$misc['icon_players']}' style='vertical-align:middle; border:none' /></a>";
								}
								$output .="
								</td>
								";
								if ($lgsl_config['ipb_locations'])
								{
									$output .= "
									<td data-tooltip='Lokalizacja serwera: {$misc['text_location']}'>
										<a href='".lgsl_location_link($server['o']['location'])."' class='ipsButton_secondary' style='font-size: 0.8em; padding: 0 5px; text-decoration:none'>
											<img alt='' src='{$misc['icon_location']}' style='vertical-align:middle; border:none' /> {$misc['text_location']}
										</a>
									</td>";
								}
								if ($lgsl_config['ipb_hltv'])
								{
									$output .= "
									<td data-tooltip='{$lgsl_config['text']['shltv']}'>
										<a href='{$server['o']['hltv']}' class='ipsButton_secondary' style='font-size: 0.8em; padding: 0 5px; text-decoration:none'>
											<img alt='' src='{$misc['icon_hltv']}' style='vertical-align:middle; border:none' />
										</a>
									</td>";
								}
								if ($lgsl_config['ipb_gametracker'])
								{
									$output .= "
									<td>
										<a href='http://www.gametracker.com/server_info/{$server['b']['ip']}:{$server['b']['c_port']}' class='ipsButton_secondary' style='font-size: 0.8em; padding: 0 5px; text-decoration:none'>
											<img alt='' src='{$misc['icon_gametracker']}' style='vertical-align:middle; border:none' /> {$lgsl_config['text']['gtt']}
										</a>
									</td>";
								}
								if ($lgsl_config['ipb_connect'])
								{
									$output .= "
									<td data-tooltip='{$lgsl_config['text']['slk']}'>
										<a href='{$misc['software_link']}' class='ipsButton_secondary' style='font-size: 0.8em; padding: 0 5px; text-decoration:none'>
											<img alt='' src='{$misc['icon_steam']}' style='vertical-align:middle; border:none' /> {$lgsl_config['text']['stm']}
										</a>
									</td>";
								}
								if ($lgsl_config['ipb_details'])
								{
									$output .= "
									<td>
										<a href='#' class='ipsButton_secondary' id='details{$server['o']['id']}' data-tooltip='{$lgsl_config['text']['sdetails']}' style='font-size: 0.8em; padding: 0 5px; text-decoration:none'>
											<img src='{$misc['icon_details']}' style='vertical-align:middle; border:none' /> 
											Więcej info
										</a>
										<a href='".lgsl_link($server['o']['id'])."' class='ipsButton_secondary' data-tooltip='{$lgsl_config['text']['sserverdetails']}' style='font-size: 0.8em; padding: 0 5px; text-decoration:none'>
											<img src='{$misc['icon_serverdetails']}' style='vertical-align:middle; border:none' />
										</a>
									</td>";
								}
								$output .="
							</tr>
						";
					}
					$output .= "
				</table>
			</div>
		</div>
	</div>";

	if ($lgsl_config['list']['totals'])
	{
		$total = lgsl_group_totals($server_list);

		$output .= "
			<div id='board_stats' style='text-align:center'>
				<ul class='ipsType_small ipsList_inline'>
					<li><span class='value'>{$lgsl_config['text']['tns']} {$total['servers']}</span></li>
					<li><span class='value'>{$lgsl_config['text']['tnp']} {$total['players']}</span></li>
					<li><span class='value'>{$lgsl_config['text']['tmp']} {$total['playersmax']}</span></li>
				</ul>
			</div>
		";
	}

	$output .= wk_version_table();

//------------------------------------------------------------------------------------------------------------+
// POKAZ LISTE GRACZY
//------------------------------------------------------------------------------------------------------------+

	$fields_show  = array("Nick", "Wynik", "Zabojstw", "Smierci", "Druzyna", "Ping", "Bot", "Czas"); // ORDERED FIRST
	$fields_hide  = array("teamindex", "pid", "pbguid"); // REMOVED
	$fields_other = TRUE; // FALSE TO ONLY SHOW FIELDS IN $fields_show
	
	foreach ($server_list as $server)
	{
		$misc   = lgsl_server_misc($server);
		$server = lgsl_server_html($server);

		$server = lgsl_query_cached("", "", "", "", "", "sep", $server['o']['id']);

		if (!$server) { $output .= "<div style='margin:auto; text-align:center'> {$lgsl_config['text']['mid']} </div>"; return; }

		$fields = lgsl_sort_fields($server, $fields_show, $fields_hide, $fields_other);
		$server = lgsl_sort_players($server);
		$server = lgsl_sort_extras($server);
		$misc   = lgsl_server_misc($server);
		$server = lgsl_server_html($server);

		$output .= "
			<div id='playerslist{$server['o']['id']}' style='display:none;'>
				<h3>Lista graczy</h3>
				<div style='margin:auto; overflow:auto; text-align:center; padding:10px'>";
					if (empty($server['p']) || !is_array($server['p']))
					{
						$output .= "
							<div class='ipsBox_container'>
								<table class='wk_serverviewer' cellpadding='4' cellspacing='2'>
									<tr class='header' style='margin:auto; overflow:auto; text-align:center; padding:10px'>
										<td> {$lgsl_config['text']['npi']} </td>
									</tr>
								</table>
							</div>";
					}
					else
					{
						$output .= "
							<div class='ipsBox_container'>
								<table class='wk_serverviewer' cellpadding='4' cellspacing='2'>
									<tr class='header' style='margin:auto; overflow:auto; text-align:center; padding:10px'>";
										foreach ($fields as $field)
										{
											$field = ucfirst($field);
											$output .= "
											<th style='white-space:nowrap; text-align:center'> <b>{$field}</b> </th>";
										}
										$output .= "
									</tr>";

									foreach ($server['p'] as $player_key => $player)
									{
										$output .= "
											<tr style='table-layout:fixed'>";
												foreach ($fields as $field)
												{
													$output .= "<td style='white-space:nowrap; text-align:center'> {$player[$field]} </td>";
												}
												$output .= "
											</tr>";
									}
									$output .= "
								</table>
							</div>
						";
						$output .= wk_version_table();
					}
					$output .= "
				</div>
			</div>
		";
	}

//------------------------------------------------------------------------------------------------------------+
// POKAZ WIĘCEJ INFORMACJI
//------------------------------------------------------------------------------------------------------------+

	foreach ($server_list as $server)
    {
		$misc   = lgsl_server_misc($server);
		$server = lgsl_server_html($server);
		$server = lgsl_query_cached("", "", "", "", "", "sep", $server['o']['id']);

		if (!$server) { $output .= "<div style='margin:auto; text-align:center'> {$lgsl_config['text']['mid']} </div>"; return; }

		$fields = lgsl_sort_fields($server, $fields_show, $fields_hide, $fields_other);
		$server = lgsl_sort_players($server);
		$server = lgsl_sort_extras($server);
		$misc   = lgsl_server_misc($server);
		$server = lgsl_server_html($server);

		$output .= "
			<div id='detailslist{$server['o']['id']}' style='display:none;'>
				<div class='ipsBox_container'>
					<h3>Podsumowanie
						<a class='right ipsButton' style='margin-right:25px;height:20px;line-height: 20px; min-width:85px;' href='{$misc['software_link']}'>Dołącz do gry</a>
					</h3>
					<table class='wk_serverviewer'>
						<tr>
							<td rowspan='4' style='width:164px'>
								<div style='width:{$lgsl_config['zone']['width']}px; padding:2px; position:relative; margin:auto'>
									<img alt='' src='{$misc['image_map']}' style='vertical-align:middle' width='160' height='120' />
									<img alt='' src='{$misc['image_map_password']}' style='position:absolute; z-index:2; top:0px; left:0px;' />
									<img alt='' src='{$misc['icon_game']}' title='{$misc['text_type_game']}' style='position:absolute; z-index:2; top:6px; left:6px;' />
									<img alt='' src='{$misc['icon_location']}' title='{$misc['text_location']}'  style='position:absolute; z-index:2; top:6px; right:6px;' />
								</div>
							</td>
							<td><b>{$lgsl_config['text']['sts']}</b></td>
							<td>{$misc['icon_status_ipb']}</td>
							<td><b>{$lgsl_config['text']['adr']}</b></td>
							<td>{$server['b']['ip']}:{$server['b']['c_port']}</td>
						</tr>
						<tr>
							<td><b>{$lgsl_config['text']['typ']}</b></td>
							<td>{$server['b']['type']}</td>
							<td><b>{$lgsl_config['text']['gme']}</b></td>
							<td>{$server['s']['game']}</td>
						</tr>
						<tr>
							<td><b>{$lgsl_config['text']['plr']}</b></td>
							<td>{$server['s']['players']} / {$server['s']['playersmax']}</td>
							<td><b>{$lgsl_config['text']['map']}</b></td>
							<td>{$server['s']['map']}</td>
						</tr>";
						if ( $server['e']['amx_timeleft'] != '' )
						{
							$output .= "
								<tr>
									<td><b>{$lgsl_config['text']['amx_tl']}</b></td>
									<td>{$server['e']['amx_timeleft']}</td>
							";
						}
						else
						{
							$output .= "
								<tr>
									<td><b>{$lgsl_config['text']['amx_tl']}</b></td>
									<td>{$lgsl_config['text']['amx_br']}</td>
								";
						}
							if ( $server['e']['amx_nextmap'] != '' )
							{
								$output .= "
									<td><b>{$lgsl_config['text']['amx_nm']}</b></td>
									<td>{$server['e']['amx_nextmap']}</td>
								</tr>
								";
							}else{
								$output .= "
									<td><b>{$lgsl_config['text']['amx_nm']}</b></td>
									<td>{$lgsl_config['text']['amx_br']}</td>
								</tr>
								";
							}
						$output .= "
						<tr>
							<td colspan='5'>
								<div class='right clearfix'>
									<a class='ipsButton_secondary' style='font-size: 0.8em;padding: 0 5px;' href='{$server['o']['hltv']}' target='_blank'><img width='16' height='16' alt='' src='{$misc['icon_hltv']}'>HLTV</a>
									<a class='ipsButton_secondary' style='font-size: 0.8em;padding: 0 5px;' href='http://www.gametracker.com/server_info/{$server['b']['ip']}:{$server['b']['c_port']}/' target='_blank'><img width='16' height='16' alt='' src='{$misc['icon_gametracker']}'>GameTracker</a>
									<a class='ipsButton_secondary' style='font-size: 0.8em;padding: 0 5px;' href='http://serwery.wiaderko.com/serwery/{$server['b']['ip']}:{$server['b']['c_port']}/' target='_blank'><img width='16' height='16' alt='' src='{$misc['icon_wiaderko']}'>Wiaderko</a>
									<a class='ipsButton_secondary' style='font-size: 0.8em;padding: 0 5px;' href='http://www.hlsw.org/gameserver/{$server['b']['ip']}:{$server['b']['c_port']}' target='_blank'><img width='16' height='16' alt='' src='{$misc['icon_hlsw']}'>HLSW</a>
								</div>
							</td>
						</tr>
					</table>
					<h3>Opis serwera</h3>
					<div class='no_messages'>
						<b>Nazwa serwera:</b> {$server['s']['name']}<br>
						{$misc['server_desc']}
					</div>
				</div>
			</div>
		";
	}

	foreach ($server_list as $server)
    {
		$misc   = lgsl_server_misc($server);
		$server = lgsl_server_html($server);

		$output .= "
			<script type='text/javascript'>
				showPopup = function(e) {
					Event.stop(e);
					popup = new ipb.Popup( 'playerslist{$server['o']['id']}', { type: 'pane', modal: false, w: '500px', h: '500px', initial: $('playerslist{$server['o']['id']}').innerHTML, hideAtStart: false, close: 'a[rel=".'"close"'."]' } );
					return false;
				}

				if( $('players{$server['o']['id']}') )
				{
					$('players{$server['o']['id']}').observe('click', showPopup);
				}
			</script>
			<script type='text/javascript'>
				showPopup = function(e) {
					Event.stop(e);
					popup = new ipb.Popup( 'detailslist{$server['o']['id']}', { type: 'pane', modal: false, w: '660px', h: '600px', initial: $('detailslist{$server['o']['id']}').innerHTML, hideAtStart: false, close: 'a[rel=".'"close"'."]' } );
					return false;
				}

				if( $('details{$server['o']['id']}') )
				{
					$('details{$server['o']['id']}').observe('click', showPopup);
				}
			</script>
		";
	}